### Signal

# Hinawa FwFcp::responded

since: 4.0

#### Declaration

    void
    responded (
      HinawaFwFcp* self,
      guint generation,
      guint tstamp,
      gpointer frame,
      guint frame_size,
      gpointer user_data
    )

#### Description [src]

Emitted when the node transfers asynchronous packet as response for FCP and the process successfully read the content of packet.

The values of `tstamp` is unsigned 16 bit integer including higher 3 bits for three low order bits of second field and the rest 13 bits for cycle field in the format of IEEE 1394 CYCLE_TIMER register.

If the version of kernel ABI for Linux FireWire subsystem is less than 6, the value of `tstamp` argument has invalid value (=G_MAXUINT).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`generation`

  Type: `guint`

  The generation of bus topology.

`tstamp`

  Type: `guint`

  The time stamp at which the request arrived for the response of FCP transaction.

`frame`

  Type: An array of `guint8`

  The array with elements for byte data of response for FCP.

  The length of the array is specified in the `frame_size` argument.

`frame_size`

  Type: `guint`

  The number of elements of the array.